1

Yesterday I failed to successfully install owncloud on my ubuntu desktop. The current issue that I am facing is when I go to my owncloud page I get the error:

PHP is configured to populate raw post data. Since PHP 5.6 this will lead to PHP throwing notices for perfectly valid code.

To fix this issue set always_populate_raw_post_data to -1 in your php.ini

This was not a setting in anp php.ini file, I added it anyway but to no avail. When I tried to update owncloud I got the error that I was missing a public key so I got I new key using apt-key. I now get the warning:

W: http://download.opensuse.org/repositories/isv:/ownCloud:/community/xUbuntu_14.04/Release.gpg: Signature by key F9EA4996747310AE79474F44977C43A8BA684223 uses weak digest algorithm (SHA1)

I understand that I may be too mired in my mistakes and lack of knowledge to be helped but I ask for advice on what do do, and if it is a lost cause how to remove everything. Thank you

1

There is problem with owncloud repos not supporting Ubuntu 16.04 yet. As a workaround you can manually download *.deb files for 15.10. But that's not very nice solution.

  • how would I do that? – Lucas Veltkamp Apr 26 '16 at 18:45
  • download here at the bottom of the page is link for direct download – viky Apr 26 '16 at 19:08

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.